Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.activities
Class ActivityEvent

    java.lang.Object
      org.eclipse.ui.activities.ActivityEvent

public final class ActivityEvent
extends Object

An instance of this class describes changes to an instance of `IActivity`. This class does not give details as to the specifics of a change, only that the given property on the source object has changed.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `IActivityListener.activityChanged(ActivityEvent)`

Constructor Summary
`ActivityEvent(IActivity activity, boolean activityRequirementBindingsChanged, boolean activityPatternBindingsChanged, boolean definedChanged, boolean descriptionChanged, boolean enabledChanged, boolean nameChanged)` Creates a new instance of this class.

Method Summary
`IActivity` | `getActivity()` Returns the instance of the interface that changed.
`boolean` | `hasDefinedChanged()` Returns whether or not the defined property changed.
`boolean` | `hasDescriptionChanged()` Returns whether or not the description property changed.
`boolean` | `hasEnabledChanged()` Returns whether or not the enabled property changed.
`boolean` | `hasNameChanged()` Returns whether or not the name property changed.
`boolean` | `haveActivityPatternBindingsChanged()` Returns whether or not the activityPatternBindings property changed.
`boolean` | `haveActivityRequirementBindingsChanged()` Returns whether or not the activityRequirementBindings property changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivityEvent

    public ActivityEvent(IActivity activity,
                         boolean activityRequirementBindingsChanged,
                         boolean activityPatternBindingsChanged,
                         boolean definedChanged,
                         boolean descriptionChanged,
                         boolean enabledChanged,
                         boolean nameChanged)

  Creates a new instance of this class.

Parameters:
  `activity` - the instance of the interface that changed.
  `activityRequirementBindingsChanged` - `true`, iff the activityRequirementBindings property changed.
  `activityPatternBindingsChanged` - `true`, iff the activityPatternBindings property changed.
  `definedChanged` - `true`, iff the defined property changed.
  `descriptionChanged` - `true`, iff the description property changed.
  `enabledChanged` - `true`, iff the enabled property changed.
  `nameChanged` - `true`, iff the name property changed.

Method Detail

### getActivity

    public IActivity getActivity()

  Returns the instance of the interface that changed.

  Returns:
    the instance of the interface that changed. Guaranteed not to be `null`.

### hasDefinedChanged

    public boolean hasDefinedChanged()

  Returns whether or not the defined property changed.

  Returns:
    `true`, iff the defined property changed.

### hasEnabledChanged

    public boolean hasEnabledChanged()

  Returns whether or not the enabled property changed.

  Returns:
    `true`, iff the enabled property changed.

### hasNameChanged

    public boolean hasNameChanged()

  Returns whether or not the name property changed.

  Returns:
    `true`, iff the name property changed.

### hasDescriptionChanged

    public boolean hasDescriptionChanged()

  Returns whether or not the description property changed.

  Returns:
    `true`, iff the description property changed.

### haveActivityRequirementBindingsChanged

    public boolean haveActivityRequirementBindingsChanged()

  Returns whether or not the activityRequirementBindings property changed.

  Returns:
    `true`, iff the activityRequirementBindings property changed.

### haveActivityPatternBindingsChanged

    public boolean haveActivityPatternBindingsChanged()

  Returns whether or not the activityPatternBindings property changed.

  Returns:
    `true`, iff the activityPatternBindings property changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.